### Property

# Gtk IconView:item-width

since: 4.0

#### Declaration

    property item-width: int [ read, write ]

#### Description [src]

The item-width property specifies the width to use for each item. If it is set to -1, the icon view will automatically determine a suitable item size.

Type: | `gint`
Available since: | 4.0

Default value | -1
Getter method | `gtk_icon_view_get_item_width()`
Setter method | `gtk_icon_view_set_item_width()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no